summaryrefslogtreecommitdiff
path: root/Assignment2
diff options
context:
space:
mode:
authorCamil Staps2018-07-04 10:07:47 +0200
committerCamil Staps2018-07-04 10:07:47 +0200
commit099cff51bb7f0c5ec9824bb21deafc6c33f3890c (patch)
treea4802e12541e0de4d8e383aee7de100abb427c6b /Assignment2
parentHackfixes to get changebar right (diff)
Add docker image with storm+stormpy
Diffstat (limited to 'Assignment2')
-rw-r--r--Assignment2/src/Dockerfile17
-rwxr-xr-xAssignment2/src/start.sh16
2 files changed, 33 insertions, 0 deletions
diff --git a/Assignment2/src/Dockerfile b/Assignment2/src/Dockerfile
new file mode 100644
index 0000000..7e11986
--- /dev/null
+++ b/Assignment2/src/Dockerfile
@@ -0,0 +1,17 @@
+FROM movesrwth/storm:travis
+
+RUN apt-get update -qq &&\
+ apt-get install -qq --no-install-recommends python3-setuptools python3-pip &&\
+ pip3 install pytest
+
+RUN mkdir /opt/pycarl &&\
+ cd /opt/pycarl &&\
+ git clone https://github.com/moves-rwth/pycarl . &&\
+ python3 setup.py build_ext --carl-dir /opt/carl develop &&\
+ py.test tests
+
+RUN mkdir /opt/stormpy &&\
+ cd /opt/stormpy &&\
+ git clone https://github.com/moves-rwth/stormpy . &&\
+ python3 setup.py build_ext --storm-dir /opt/storm/build develop &&\
+ py.test tests
diff --git a/Assignment2/src/start.sh b/Assignment2/src/start.sh
new file mode 100755
index 0000000..b8b945d
--- /dev/null
+++ b/Assignment2/src/start.sh
@@ -0,0 +1,16 @@
+#!/bin/bash
+DOCKER_IMAGE=stormpy
+DOCKER_NAME=stormpy
+
+docker image $DOCKER_IMAGE >/dev/null 2>&1
+if [ $? != 0 ]; then
+ docker build -t $DOCKER_IMAGE .
+fi
+
+docker run\
+ --mount type=bind,source="$PWD",target=/src\
+ -w /opt/storm/build/bin\
+ --rm\
+ -it\
+ --name $DOCKER_NAME\
+ $DOCKER_IMAGE